<template>
  <div class="footer--container">
    <div class="footer--container--center">
      <ul class="footer--options">
        <li class="footer--options--item" v-for="({ name }, index) in optionsFooter" :key="`${index}-index`">
          {{ name }}
        </li>
        <li class="footer--options--item footer--options--icons">
          <div>
            <img class="icon" src="../../assets/icons/twitter.svg" alt="" />
          </div>
          <div>
            <img class="icon" src="../../assets/icons/instagram.svg" alt="" />
          </div>
        </li>
      </ul>
      <section class="address--section border">
        <p class="pb-1">© 2022 La Touraine, Inc.</p>
        <p>18 USC 2257 Record-Keeping Requirements</p>
        <p class="pb-1">Compliance Statement</p>
        <p>Privacy | Terms of service</p>
        <img class="icon--rta" src="../../assets/icons/rta.svg" alt="RTA" />
      </section>
      <section class="contant--section border">
        <a href="mailto:jobs@latouraineinc.com" target="_blank" class="pb-1">Contact Support</a>
        <a href="https://epoch.com" target="_blank" class="pb-1">Epoch.com</a>
        <a href="https://segpay.com" target="_blank" class="pb-1">Segpay.com</a>
        <a href="https://www.mastercard.com" target="_blank" class="pb-1">Compliance with Mastercard Standards</a>
      </section>
      <section class="button--section">
        <span class="btn">SYNC NOW</span>
      </section>
    </div>
  </div>
</template>

<script>
import { mapGetters } from 'vuex';

export default {
  name: 'FooterSection',
  computed: {
    ...mapGetters(['getNavBarOptions']),
    optionsFooter() {
      return this.getNavBarOptions.filter((item) => item.show.includes('footer'));
    },
  },
};
</script>

<style lang="sass" scoped>
@import '@/assets/sass/colors.sass'
@import '@/assets/sass/sizes.sass'
.icon
  height: 24px
  width: 24px
.icon--rta
  height: $sm-size
  width: 48px
  margin-top: 0.7rem
.pb-1
  padding-bottom: 1.4rem
.footer--container
  width: 100vw
  background: $gray
.footer--container--center
  padding-top: $xxs-size
  display: grid
  grid-template-columns: 1fr
  grid-template-rows: 295px 72px 160px 150px
  grid-template-areas: 'options--sec' 'button--sec' 'contant--sec' 'address--sec'
.footer--options
  display: flex
  flex-direction: column
  grid-area: options--sec
  transform: scale(1, .9)
.footer--options--item
  padding: .4rem 0
  font-size: $sm-size
  cursor: pointer
.address--section
  grid-area: address--sec
.contant--section
  grid-area: contant--sec
  a
    display: block
    color: $gray-ligth
.footer--options--icons
  display: flex
  justify-content: center
  li
    padding: 0 $sm-size
p
  color: $gray-ligth
  font-size: $xxs-size
.button--section
  grid-area: button--sec
.btn
  background: $primary-ligth
  padding: .4rem 2.5rem
  border-radius: .4rem
  color: $secondary
  font-size: $md-size
  font-weight: 500
  cursor: pointer
@media screen and (min-width: 768px)
  .footer--container
    width: 100vw
  .footer--container--center
    width: 80vw
    display: grid
    grid-template-rows: 70px 1fr
    grid-template-columns: 1fr 1fr 1fr
    grid-template-areas: 'options--sec options--sec options--sec' 'address--sec contant--sec button--sec'
    padding-bottom: 2rem
    row-gap: 2rem
    margin: auto
  .footer--options
    flex-direction: row
    width: 70%
    margin: auto
    justify-content: space-between
  .address--section,
  .contant--section
    padding-left: 2rem
  p
    text-align: left
    font-size: $xs-size
  .copyright--section
    display: grid
    margin: auto
    padding: 4rem 0 3rem 0
    width: 85%
    text-align: left
    grid-template-columns: repeat(3, 1fr)
    gap: 3rem
  .border
    border-right: 1px solid $gray-ligth
  .button--section
    display: flex
    justify-content: center
    align-items: flex-start
  .address--section,
  .contant--section
    font-size: $xs-size
    padding-right: $sm-size
    text-align: left
</style>
